Subject: New Reply Received - I want to raise complaint against your branch in Sharjah city center
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2021 09:51:33 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  I want to raise complaint against your branch in Sharjah city center  Ticket comment <div>As I mentioned earlier, I went to the store and they rejected the return. That’s why I am raising a complaint and since then I had no feedback and I am getting the same standard answer “we have escalated to the store “. Now I am sure that nothing will happen and this how HB are dealing with their customers. This really unfortunate.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2402270